# OpenLayers.Layer.VirtualEarth

Instances of OpenLayers.Layer.VirtualEarth are used to display the data from the Bing Maps AJAX Control OpenLayers.Layer.VirtualEarth constructor.

#### Inherits from

- OpenLayers.Layer.EventPane
- OpenLayers.Layer.FixedZoomLevels

Summary

OpenLayers.Layer.VirtualEarth | Instances of OpenLayers.Layer.VirtualEarth are used to display the data from the Bing Maps AJAX Control | Constants |
MIN_ZOOM_LEVEL | {Integer} 1
MAX_ZOOM_LEVEL | {Integer} 19
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {VEMapType}
wrapDateLine | {Boolean} Allow user to pan forever east/west.
sphericalMercator | {Boolean} Should the map act as a mercator-projected map?
animationEnabled | {Boolean} If set to true, the transition between zoom levels will be animated.
Constructor |
OpenLayers.Layer.VirtualEarth | Creates a new instance of a OpenLayers.Layer.VirtualEarth.
Functions |
loadMapObject |
onMapResize |
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
dragPanMapObject |
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |

### Constants

### MIN_ZOOM_LEVEL

{Integer} 1

### MAX_ZOOM_LEVEL

{Integer} 19

### RESOLUTIONS

{Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection

### Properties

### type

{VEMapType}

### wrapDateLine

{Boolean} Allow user to pan forever east/west. Default is true. Setting this to false only restricts panning if sphericalMercator is true.

### sphericalMercator

{Boolean} Should the map act as a mercator-projected map? This will cause all interactions with the map to be in the actual map projection, which allows support for vector drawing, overlaying other maps, etc.

### animationEnabled

{Boolean} If set to true, the transition between zoom levels will be animated. Set to false to match the zooming experience of other layer types. Default is true.

### Constructor

### OpenLayers.Layer.VirtualEarth

Creates a new instance of a OpenLayers.Layer.VirtualEarth. If you use an instance of OpenLayers.Layer.VirtualEarth in you map, you should set the OpenLayers.Map option restrictedExtent to a meaningful value, e.g.:

>     var map = new OpenLayers.Map( 'map', {
>         // other map options
>         restrictedExtent : OpenLayers.Bounds(-20037508, -20037508, 20037508, 20037508)
>     } );

>     var veLayer = new OpenLayers.Layer.VirtualEarth (
>         "Virtual Earth Layer"
>     );

>     map.addLayer( veLayer );

#### Parameters

name | {String}
options | {Object}

### Functions

### loadMapObject

> loadMapObject:function()

### onMapResize

> onMapResize: function()

### getWarningHTML

> getWarningHTML:function()

#### Returns

{String} String with information on why layer is broken, how to get it working.

### setMapObjectCenter

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

#### Parameters

center | {Object} MapObject LonLat format
zoom | {int} MapObject zoom format

### getMapObjectCenter

> getMapObjectCenter: function()

#### Returns

{Object} The mapObject’s current center in Map Object format

### dragPanMapObject

> dragPanMapObject: function( | dX,
> | dY | )

#### Parameters

dX | {Integer}
dY | {Integer}

### getMapObjectZoom

> getMapObjectZoom: function()

#### Returns

{Integer} The mapObject’s current zoom, in Map Object format

### getMapObjectLonLatFromMapObjectPixel

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Object} MapObject LonLat translated from MapObject Pixel

### getMapObjectPixelFromMapObjectLonLat

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Object} MapObject Pixel transtlated from MapObject LonLat

### getLongitudeFromMapObjectLonLat

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Longitude of the given MapObject LonLat

### getLatitudeFromMapObjectLonLat

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Latitude of the given MapObject LonLat

### getMapObjectLonLatFromLonLat

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

#### Parameters

lon | {Float}
lat | {Float}

#### Returns

{Object} MapObject LonLat built from lon and lat params

### getXFromMapObjectPixel

> getXFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} X value of the MapObject Pixel

### getYFromMapObjectPixel

> getYFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} Y value of the MapObject Pixel

### getMapObjectPixelFromXY

> getMapObjectPixelFromXY: function( | x,
> | y | )

#### Parameters

x | {Integer}
y | {Integer}

#### Returns

{Object} MapObject Pixel from x and y parameters

> loadMapObject:function()

> onMapResize: function()

> getWarningHTML:function()

{String} String with information on why layer is broken, how to get it working.

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

> getMapObjectCenter: function()

{Object} The mapObject’s current center in Map Object format

> dragPanMapObject: function( | dX,
> | dY | )

> getMapObjectZoom: function()

{Integer} The mapObject’s current zoom, in Map Object format

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

> getXFromMapObjectPixel: function( | moPixel | )

> getYFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromXY: function( | x,
> | y | )

Creates a new instance of a OpenLayers.Layer.VirtualEarth.
Base class for 3rd party layers.
Some Layers will already have established zoom levels (like google or ve).
{Boolean} Should the map act as a mercator-projected map?
Instances of OpenLayers.Map are interactive maps embedded in a web page.
Close